> ## Documentation Index
> Fetch the complete documentation index at: https://manual.seahorse.dnotitia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put Object to Storage

> Put object to the storage.



## OpenAPI

````yaml POST /v1/storage/object
openapi: 3.1.0
info:
  title: Seahorse API Gateway
  description: >-
    Seahorse API Gateway is an API gateway that integrates vector database, AI
    inference, and storage services. It provides features such as vector search,
    embedding generation, text generation, and object storage.
  license:
    name: ''
  version: 2.0.0-rc1
servers:
  - url: https://{resource_uuid}.api.seahorse.dnotitia.ai
    description: >-
      리소스(스토리지/테이블/인퍼런스 endpoint)별 UUID 서브도메인. UUID 는 콘솔 → 리소스 상세 페이지 "API URL"
      항목에서 확인
    variables:
      resource_uuid:
        default: your-resource-uuid-here
        description: '대시 제거된 32자리 UUID (예: b0348a15cf0e48079e290fe03901247b)'
security: []
tags:
  - name: TABLE_V2
    description: Table operations v2
  - name: STORAGE
    description: Storage Object operations
paths:
  /v1/storage/object:
    post:
      tags:
        - STORAGE
      summary: Put Object to Storage
      description: Put object to the storage.
      operationId: put_object_handler
      requestBody:
        description: The object to upload to storage.
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ObjectUploadForm'
        required: true
      responses:
        '200':
          description: Success to put object to storage.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoralResponse_Value'
              example:
                code: 200
                data:
                  message: Success to put object to storage.
                exception: null
                success: true
        '400':
          description: Invalid input provided.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoralResponse_ErrorBody'
              example:
                code: 400
                data: null
                exception:
                  error_code: 400001
                  error_message: 'Bad Request: '
                success: false
        '500':
          description: Error occurred while putting object to storage.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoralResponse_ErrorBody'
              example:
                code: 500
                data: null
                exception:
                  error_code: 500001
                  error_message: 'Internal error: '
                success: false
      security:
        - bearerAuth:
            - WRITE
        - apiKeyAuth:
            - WRITE
components:
  schemas:
    ObjectUploadForm:
      type: object
      required:
        - file
        - path
      properties:
        file:
          type: string
          format: binary
          description: Object to upload to storage.
          contentMediaType: application/octet-stream
        path:
          type: string
          description: Path of the object to upload. e.g. "pdf/test.pdf"
    CoralResponse_Value:
      type: object
      required:
        - success
        - code
      properties:
        code:
          type: integer
          format: int32
          description: HTTP status code.
          minimum: 0
        data: {}
        exception: {}
        success:
          type: boolean
          description: Whether the request was successful.
    CoralResponse_ErrorBody:
      type: object
      required:
        - success
        - code
      properties:
        code:
          type: integer
          format: int32
          description: HTTP status code.
          minimum: 0
        data:
          type: object
          required:
            - error_code
            - error_message
          properties:
            error_code:
              type: integer
              format: int32
              minimum: 0
            error_message:
              type: string
        exception:
          type: object
          required:
            - error_code
            - error_message
          properties:
            error_code:
              type: integer
              format: int32
              minimum: 0
            error_message:
              type: string
        success:
          type: boolean
          description: Whether the request was successful.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Include the token in the Authorization
        header as 'Bearer <token>'
    apiKeyAuth:
      type: apiKey
      in: header
      name: api-key
      description: API key authentication. Include the key in the api-key header

````